# Contributing

We love pull requests from everyone. Contributing is easy:

* You can report bugs and request features using the [issues page][issues].

[issues]: https://github.com/oleg-koval/koa-verto/issues

* You can easily work on the code if you have a GitHub account ([get one][github]):

[github]: https://github.com/join

Fork the project, then clone the repo:

    git clone git@github.com:your-username/koa-verto.git

Make your change(s).

Push to your fork and [submit a pull request][pr].

[pr]: https://github.com/oleg-koval/koa-verto/compare/

At this point you're waiting on us. We like to at least comment on pull requests
as soon as possible. We may suggest some changes or improvements or alternatives.

Some things that will increase the chance that your pull request is accepted:

* Write a [good commit message][commit].
* Use [AngularJS Git Commit Message Conventions][angular]
* Use [semver][semver] standards for you commits
* Use cool & descriptive branch names
* Update tests

[commit]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
[semver]:
https://semver.org/
[angular]:
https://github.com/angular/angular.js/blob/master/DEVELOPERS.md#-git-commit-guidelines
